package com.bionicbasket.app;

import java.util.Vector;

public interface AlmacenDatos {
	// INTERFAZ DEL ALMACÉN DE DATOS //

	// Vectores de almacenamiento
	public Vector<Jugador> datos = new Vector<Jugador>();
	public Vector<Jornada> jornadas = new Vector<Jornada>();
	public Vector<Posicion> posiciones = new Vector<Posicion>();

	// Métodos de almacenamiento en la base de datos
	public void guardarEstadisticas(String[] lineas_completas);

	public void guardarCalendario(String[] lineas_completas);

	public void guardarClasificacion(String[] lineas_completas);

	// Métodos de almacenamiento en los vectores
	public void cargarEstadisticas();

	public void cargarCalendario();

	public void cargarClasificacion();
}
