package com.bionicbasket.app;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;

public class Calendario extends ListActivity {
	public AdaptadorCalendario adaptador;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.listado_calendario_estadisticas);

		// Adaptador para mostrar el calendario en su ListView correspondiente
		adaptador = new AdaptadorCalendario(this);
		setListAdapter(adaptador);
	}

	// Guarda el estado para no volver a cargar el listado en la rotación del
	// dispositivo
	@Override
	protected void onSaveInstanceState(Bundle estadoGuardado) {
		super.onSaveInstanceState(estadoGuardado);
	}

	// Carga el estado guardado
	@Override
	protected void onRestoreInstanceState(Bundle estadoGuardado) {
		super.onRestoreInstanceState(estadoGuardado);
	}

	// Si se pulsa en un elemento de la lista, se procede a mostrar la
	// información más detallada
	@Override
	protected void onListItemClick(ListView listView, View view, int position,
			long id) {
		super.onListItemClick(listView, view, position, id);
		Intent i = new Intent(this, NotificacionPartido.class);
		int indice = (int) id;
		i.putExtra("indice", indice);
		startActivity(i);
	}
}
