package com.bionicbasket.app;

import com.bionicbasket.app.R;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class Estadisticas extends Activity {
	// BOTONES //
	Button anotadores_totales;
	Button anotadores_medias;
	Button faltas_personales_totales;
	Button faltas_personales_medias;
	Button partidos_jugados;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_estadisticas);

		// Escuchadores de eventos para los botones
		anotadores_totales = (Button) findViewById(R.id.btn_anotadores_totales);
		anotadores_totales.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				MainActivity.dato_estadistico = 1; // Corresponde a la búsqueda
													// de anotadores totales
				lanzarEstadistica(null);
			}
		});

		anotadores_medias = (Button) findViewById(R.id.btn_anotadores_medias);
		anotadores_medias.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				MainActivity.dato_estadistico = 2; // Corresponde a la búsqueda
													// de la media de anotadores
				lanzarEstadistica(null);
			}
		});

		faltas_personales_totales = (Button) findViewById(R.id.btn_faltas_personales_totales);
		faltas_personales_totales.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				MainActivity.dato_estadistico = 3; // Corresponde a la búsqueda
													// de las faltas personales
													// totales
				lanzarEstadistica(null);
			}
		});

		faltas_personales_medias = (Button) findViewById(R.id.btn_faltas_personales_medias);
		faltas_personales_medias.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				MainActivity.dato_estadistico = 4; // Corresponde a la búsqueda
													// de la media de faltas
													// personales
				lanzarEstadistica(null);
			}
		});

		partidos_jugados = (Button) findViewById(R.id.btn_partidos_jugados);
		partidos_jugados.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				MainActivity.dato_estadistico = 5; // Corresponde a la búsqueda
													// de partidos jugados
				lanzarEstadistica(null);
			}
		});
	}

	// Lanza la actividad que muestra la estadística previamente seleccionada
	public void lanzarEstadistica(View v) {
		Intent i = new Intent(this, ListaEstadistica.class);
		startActivity(i);
	}
}
