package com.bionicbasket.app;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

public class NotificacionPartido extends Activity {
	TextView txt_fecha;
	TextView txt_hora;
	TextView txt_pabellon;
	TextView txt_local;
	TextView txt_visitante;
	TextView txt_resultado;
	TextView txt_posicion;
	TextView txt_ganados;
	TextView txt_perdidos;
	TextView txt_a_favor;
	TextView txt_en_contra;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_notificacion_partido);

		Bundle extras = getIntent().getExtras();
		int indice = extras.getInt("indice");

		txt_fecha = (TextView) findViewById(R.id.fecha);
		txt_fecha.setText(AlmacenDatos.jornadas.get(indice).getFecha());

		txt_hora = (TextView) findViewById(R.id.hora);
		txt_hora.setText(AlmacenDatos.jornadas.get(indice).getHora());

		txt_pabellon = (TextView) findViewById(R.id.pabellon);
		txt_pabellon.setText(AlmacenDatos.jornadas.get(indice).getPabellon());

		txt_local = (TextView) findViewById(R.id.local);
		txt_local.setText(AlmacenDatos.jornadas.get(indice).getLocal());

		txt_visitante = (TextView) findViewById(R.id.visitante);
		txt_visitante.setText(AlmacenDatos.jornadas.get(indice).getVisitante());

		txt_resultado = (TextView) findViewById(R.id.resultado);
		txt_resultado.setText(AlmacenDatos.jornadas.get(indice).getResultado());

		// Búsqueda de los datos de la clasificación del rival para su muestra
		String rival = "";
		boolean encontrado = false;
		int i;

		if (AlmacenDatos.jornadas.get(indice).getLocal()
				.equals("BIONIC BASKET")) {
			rival = AlmacenDatos.jornadas.get(indice).getVisitante();
		} else {
			rival = AlmacenDatos.jornadas.get(indice).getLocal();
		}

		i = 0;
		while (!encontrado) {
			if (AlmacenDatos.posiciones.get(i).getNombre().equals(rival)) {
				txt_posicion = (TextView) findViewById(R.id.posicion);
				txt_posicion.setText(AlmacenDatos.posiciones.get(i)
						.getPosicion() + "ª posición");

				txt_ganados = (TextView) findViewById(R.id.ganados);
				if (AlmacenDatos.posiciones.get(i).getGanados() == 1) {
					txt_ganados.setText(AlmacenDatos.posiciones.get(i)
							.getGanados() + " partido ganado");
				} else {
					txt_ganados.setText(AlmacenDatos.posiciones.get(i)
							.getGanados() + " partidos ganados");
				}

				txt_perdidos = (TextView) findViewById(R.id.perdidos);
				if (AlmacenDatos.posiciones.get(i).getPerdidos() == 1) {
					txt_perdidos.setText(AlmacenDatos.posiciones.get(i)
							.getPerdidos() + " partido perdido");
				} else {
					txt_perdidos.setText(AlmacenDatos.posiciones.get(i)
							.getPerdidos() + " partidos perdidos");
				}

				txt_a_favor = (TextView) findViewById(R.id.a_favor);
				txt_a_favor.setText(AlmacenDatos.posiciones.get(i).getA_favor()
						+ " puntos a favor");

				txt_en_contra = (TextView) findViewById(R.id.en_contra);
				txt_en_contra.setText(AlmacenDatos.posiciones.get(i)
						.getEn_contra() + " puntos en contra");

				encontrado = true;
			}
			i++;
		}

	}
}
